# class Resolv::DNS::Resource::SOA

Start Of Authority resource.

### Attributes

expire [R]

`Time` in seconds that a secondary name server is to use the data before refreshing from the primary name server.

minimum [R]

The minimum number of seconds to be used for TTL values in RRs.

mname [R]

`Name` of the host where the master zone file for this zone resides.

refresh [R]

How often, in seconds, a secondary name server is to check for updates from the primary name server.

retry [R]

How often, in seconds, a secondary name server is to retry after a failure to check for a refresh.

rname [R]

The person responsible for this domain name.

serial [R]

The version number of the zone file.

### Public Class Methods

new (mname, rname, serial, refresh, retry_, expire, minimum)
Source

    # File lib/resolv.rb, line 2245
    def initialize(mname, rname, serial, refresh, retry_, expire, minimum)
      @mname = mname
      @rname = rname
      @serial = serial
      @refresh = refresh
      @retry = retry_
      @expire = expire
      @minimum = minimum
    end

Creates a new `SOA` record. See the attr documentation for the details of each argument.